VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
List of all members
Com::Vmware::Vapi::Metadata::Authentication::ServiceInfo Class Reference
Inheritance diagram for Com::Vmware::Vapi::Metadata::Authentication::ServiceInfo:

## Avaliable Methods
public method | set_schemes ()
public method | set_operations ()
public method | get_operations ()
public method | new ()
public method | get_schemes ()

## Detailed Description

The `Com::Vmware::Vapi::Metadata::Authentication::ServiceInfo` class contains authentication information of a service element.

For an explanation of authentication information contained within service elements, see class Com::Vmware::Vapi::Metadata::Authentication::Service .

## Member Function Documentation

public method Com::Vmware::Vapi::Metadata::Authentication::ServiceInfo::get_operations | ( |  | ) |

Gets the value of 'operations' property.

Return values

  operations | - The current value of the field. Information about all operation elements contained in this service element that contain authentication information. The key in the map is the identifier of the operation element and the value in the map is the authentication information for the operation element.

For an explanation of containment of authentication information within operation elements, see class Com::Vmware::Vapi::Metadata::Authentication::Service::Operation .

Map#

Code:
click to view
# Number of lines of code in get_operations: 4
sub get_operations {
my ($self, %args) = @_;
return $self->{'operations'};
}

public method Com::Vmware::Vapi::Metadata::Authentication::ServiceInfo::get_schemes | ( |  | ) |

Gets the value of 'schemes' property.

Return values

  schemes | - The current value of the field. List of authentication schemes to be used for all the operation elements contained in this service element. The authentication scheme specified on the package element corresponding to this service element is ignored. List#

Code:
click to view
# Number of lines of code in get_schemes: 4
sub get_schemes {
my ($self, %args) = @_;
return $self->{'schemes'};
}

public method Com::Vmware::Vapi::Metadata::Authentication::ServiceInfo::new | ( |  | ) |

Constructor to initialize the Com::Vmware::Vapi::Metadata::Authentication::ServiceInfo structure

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 18
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $validatorList = [];
my $self = $class->SUPER::new('validator_list' => $validatorList, %args);
$self->{schemes} = $args{'schemes'};
$self->{operations} = $args{'operations'};
$self->set_binding_class('binding_class' => 'Com::Vmware::Vapi::Metadata::Authentication::ServiceInfo');
$self->set_binding_name('name' => 'com.vmware.vapi.metadata.authentication.service_info');
$self->set_binding_field('key' => 'schemes', 'value' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Authentication', 'type_name' => 'AuthenticationInfo')));
$self->set_binding_field('key' => 'operations', 'value' => new Com::Vmware::Vapi::Bindings::Type::MapType('binding_type' => new Com::Vmware::Vapi::Bindings::Type::ListType(new Com::Vmware::Vapi::Bindings::Type::StructType('name' => 'map-entry', 'fields' => {'key' => new Com::Vmware::Vapi::Bindings::Type::StringType(), 'value' => new Com::Vmware::Vapi::Bindings::Type::ReferenceType('module_ctx' => 'Com::Vmware::Vapi::Metadata::Authentication', 'type_name' => 'OperationInfo')}))));
bless $self, $class;
return $self;
}

public method Com::Vmware::Vapi::Metadata::Authentication::ServiceInfo::set_operations | ( |  | ) |

Sets the given value for 'operations' property.

Parameters

  operations | - New value for the field. Information about all operation elements contained in this service element that contain authentication information. The key in the map is the identifier of the operation element and the value in the map is the authentication information for the operation element.

For an explanation of containment of authentication information within operation elements, see class Com::Vmware::Vapi::Metadata::Authentication::Service::Operation .

Code:
click to view
# Number of lines of code in set_operations: 5
sub set_operations {
my ($self, %args) = @_;
$self->{'operations'} = $args{'operations'};
return;
}

public method Com::Vmware::Vapi::Metadata::Authentication::ServiceInfo::set_schemes | ( |  | ) |

Sets the given value for 'schemes' property.

Parameters

  schemes | - New value for the field. List of authentication schemes to be used for all the operation elements contained in this service element. The authentication scheme specified on the package element corresponding to this service element is ignored.

Code:
click to view
# Number of lines of code in set_schemes: 5
sub set_schemes {
my ($self, %args) = @_;
$self->{'schemes'} = $args{'schemes'};
return;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Vapi/Metadata/Authentication/ServiceInfo.pm